<?php

namespace Ulmus\User\Authorize;

use Psr\Http\Message\ServerRequestInterface;
use Ulmus\User\Entity\UserInterface;

interface AuthorizeMethodInterface
{
    public function connect(ServerRequestInterface $request, UserInterface $user) : bool;

    public function catchRequest(ServerRequestInterface $request) : bool;
}