<?php

namespace Ulmus\User\Entity;

use Ulmus\Entity\EntityInterface;

interface UserInterface extends EntityInterface
{
    public function __toString() : string;
    public function loggedIn() : bool;
    public function verifyPassword(string $password) : bool;
    public function hashPassword(? string $password = null) : static;
    public function setPassword($password) : static;
}